Imagick::hasPreviousImage
Imagick::implodeImage
The Imagick class
PHP Manual

# Imagick::identifyImage

(PECL imagick 2.0.0)

Imagick::identifyImage — Identifies an image and fetches attributes

### Description

array Imagick::identifyImage ([ bool `$appendRawOutput` = false ] )
Warning

This function is currently not documented; only its argument list is available.

Identifies an image and returns the attributes. Attributes include the image width, height, size, and others.

### Parameters

`appendRawOutput`

### Return Values

Identifies an image and returns the attributes. Attributes include the image width, height, size, and others. Throw an ImagickException on error.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::hasPreviousImage
Imagick::implodeImage
The Imagick class
PHP Manual